## org.jfree.chart.labels
Interface CategorySeriesLabelGenerator

All Known Implementing Classes:
  StandardCategorySeriesLabelGenerator

public interface CategorySeriesLabelGenerator

A generator that creates labels for the series in a `CategoryDataset`.

Method Summary
`java.lang.String` `generateLabel(CategoryDataset dataset, int series)` Generates a label for the specified series.

Method Detail

### generateLabel

    public java.lang.String generateLabel(CategoryDataset dataset,
                                          int series)

  Generates a label for the specified series.

  Parameters:
    `dataset` - the dataset.
    `series` - the series.
  Returns:
    A series label.